#define ZACIATOK12 0.0
#define KONIEC12   25.0
#define CFGNAME12 "data\\cfg\\tesla.cfg"

class efekt_12 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();

   Texture3DS *texla;
   CameraDescent3DS camera1;
   CameraDescent3DS camera2;

   int plochy1, podstava1, vyska1;
   float real_in1,intens1, txadd1, tyadd1;
   float tex_x_counter1;
   float tex_y_counter1;
   float uhol_counter1;
   float roll_speed1;

   int plochy2, podstava2, vyska2;
   float real_in2,intens2, txadd2, tyadd2;
   float vis2,minvis2;
   float tex_x_counter2;
   float tex_y_counter2;
   float uhol_counter2;
   float roll_speed2;

   float vis,minvis;

   Vector3f o1,i1,j1,k1;
   Vector3f o2,i2,j2,k2;
   float rolovanie;
};